{% extends "/default/default.twig" %}
{% block title %}Lista nominativi da non suonare{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-md-12">
            <h1 class="titleHeader">Lista nominativi da non suonare
                <a href="{{dirDefault}}/nominativo/non_suonare/csv" class="btn btn-info"target="_blank">Stampa</a></h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="dataTable_wrapper">
                <table id="dataTables-nominativi" class="table table-striped table-bordered table-hover table-responsive" width="100%">
                    <thead>
                    <tr>
                        <th>status</th>
                        <th>comune</th>
                        <th>territorio</th>
                        <th>via</th>
                        <th>civico</th>
                        <th>interno</th>
                        <th>coordinata</th>
                        <th>note</th>
                        <th>data</th>
                        <th width="200px"></th>
                    </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

    <div id="modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                </div>
                <div class="modal-footer">
                    <!--<button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Chiudi</button>-->
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
{% endblock %}


{% block adding_js %}
    <!-- DataTables JavaScript -->
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/startbootstrap-sb-admin-2-1.0.7/bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="{{dirDefault}}/template/default/js/jquery.datatable.appConfig.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/jquery.validate.min.js"></script>
    <script src="{{dirDefault}}/ext_assets/jquery-validation-1.15.0/dist/localization/messages_it.min.js"></script>
    <script>
        $('#dataTables-nominativi').DataTable( {
            processing: true,
            serverSide: true,
            ajax: {
                url: '{{dirDefault}}/nominativo/non_suonare/load_lista',
                type: 'POST'
            },
            stateSave: true,
            columns: [
                {
                    "class":          "status",
                    "orderable":      true,
                    "data":           "status",
                    "render": function (data, type, row ) {
                        if(data == 0){
                            var stato_nominativo = "Ok";
                        }else if(data == 1){
                            var stato_nominativo = "Non romeno";
                        }else if(data == 2){
                            var stato_nominativo = "Non visitare";
                        }
                        return stato_nominativo;
                    },
                    "defaultContent": ""
                },
                {
                    "class":          "comune",
                    "orderable":      true,
                    "data":           "comune",
                    "defaultContent": ""
                },
                {
                    "class":          "nome_territorio",
                    "orderable":      true,
                    "data":           "nome_territorio",
                    "defaultContent": ""
                },
                {
                    "class":          "via",
                    "orderable":      true,
                    "data":           "via",
                    "defaultContent": ""
                },
                {
                    "class":          "civico",
                    "orderable":      true,
                    "data":           "civico",
                    "defaultContent": ""
                },
                {
                    "class":          "interno",
                    "orderable":      true,
                    "data":           "interno",
                    "defaultContent": ""
                },
                {
                    "class":          "coordinata",
                    "orderable":      true,
                    "data":           "coordinata",
                    "defaultContent": ""
                },
                {
                    "class":          "note",
                    "orderable":      true,
                    "data":           "note",
                    "defaultContent": ""
                },
                {
                    "class":          "data_aggiornamento",
                    "orderable":      true,
                    "data":           "data_aggiornamento",
                    "defaultContent": ""
                },
                {
                    "class":          "id_nominativo",
                    "orderable":      false,
                    "data":           "id_nominativo",
                    "render": function (data, type, row ) {
                        var modifica =  '<btn onClick="modificaModal('+data+')" class="modifica btn btn-warning" style"width:80px">Modifica</btn>';
                        var cancella =  '<btn onClick="cancellaModal('+data+')"  class="btn btn-danger" style"width:80px">Cancella</btn>';
                        return modifica+" "+cancella;
                    },
                    "defaultContent": ""
                }
            ],
            order: [
                //[1, 'asc'],
            ]
        });

        function cancellaModal(id_nominativo){
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/nominativo/dettagli/"+id_nominativo,
                dataType: "json"
            });
            request.done(function( nominativo ) {
                //console.log(nominativo);
                var info = "<p>Nominativo: "+nominativo.nome_comune+", "+nominativo.via+" "+nominativo.civico+" "+nominativo.interno+" "+nominativo.coordinata+"</p>";
                $(".modal-title").html("Attenzione");
                $(".modal-body").html(info+"Vuoi davvero cancellare in maniere definitiva questo nominativo?");
                $(".modal-footer").html('<button onClick="cancellaConfirm('+id_nominativo+')" type="button" id="modal_action" class="btn btn-danger close_modal" data-dismiss="modal">Cancella</button><button type="button" id="modal_action" class="btn btn-default close_modal" data-dismiss="modal">Annulla</button>');
                $("#modal").modal("show");
            });
            request.fail(function( jqXHR, textStatus ) {
                console.log("Errore "+ jqXHR +" | "+ textStatus);
            });
        }

        function cancellaConfirm(id_nominativo){
            //procedo a cancellazione nominativo
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/nominativo/cancella/"+id_nominativo,
                dataType: "json"
            });
            request.done(function( resp ) {
                console.log(resp);
                $("#modal").modal("hide");
                $(".modal-title").html("Esito");
                $(".modal-body").html(resp.esito);
                $("#modal").modal("show");

                if(resp.esito == 'OK'){
                    //ricarico pagina
                    location.reload();
                }
            });
            request.fail(function( jqXHR, textStatus ) {
                console.log("Errore "+ jqXHR +" | "+ textStatus);
            });
        }

        function modificaModal(id_nominativo){
            //modale con dati nominativo
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/nominativo/dettagli/"+id_nominativo,
                dataType: "json"
            });
            request.done(function( nominativo ) {
                $(".modal-title").html("Modifica dettagli nominativo");
                var select_0 = '';
                var select_1 = '';
                var select_2 = '';

                var status = (nominativo.status);
                if(status == 0){
                    select_0 = "selected";
                }else if(status == 1){
                    select_1 = "selected";
                }else if(status == 2){
                    select_2 = "selected";
                }

                var select_status = "<select name='status' class='form-control'>" +
                        "<option value='0' "+select_0+">Ok</option>"+
                        "<option value='1' "+select_1+">Non romeno</option>"+
                        "<option value='2' "+select_2+">Non visitare</option>"+
                        "</select>";

                var form = "<form id='form_nominativo'>" +
                        "<input class='form-control' type='hidden' name='id' value='"+nominativo.id_nominativo+"'/>" +
                        "<input class='form-control' type='hidden' name='id_comune' value='{{ id_comune }}'/>" +
                        "<input class='form-control' type='hidden' name='nome_comune' value='"+nominativo.nome_comune+"'/>" +
                        "<div class='form-group'><label>Via</label><input class='form-control' id='via' name='via' value=\""+nominativo.via+"\"/> </div>" +
                        "<div class='form-group'><label>Civico</label><input class='form-control' id='civico' name='civico' value='"+nominativo.civico+"'/> </div>" +
                        "<div class='form-group'><label>Interno</label><input class='form-control' id='interno' name='interno' value='"+nominativo.interno+"'/> </div>" +
                        "<div class='form-group'><label>Coordinata</label><input class='form-control' id='coordinata' name='coordinata' value='"+nominativo.coordinata+"'/> </div>" +
                        "<div class='form-group'><label>Note</label><input class='form-control' id='note' name='note' value='"+nominativo.notes+"'/> </div>" +
                        "<div class='form-group'><label>Stato</label>" +select_status+" </div>" +
                        "<div class='form-group' style='text-align: right'><input class='btn btn-primary' type='submit' value='Salva modifica'/> <input class='btn btn-default close_modal' type='button' data-dismiss='modal'value='Annulla'/></div>" +
                        "</form>";
                /*

                 "<div class='form-group col-md-6'><input class='btn btn-primary' type='submit' value='Salva modifica'/>" +
                 "<button type='button' id='modal_action' class='btn btn-default close_modal col-md-6' data-dismiss='modal'>Annulla</button></div>" +
                 */
                $(".modal-body").html(form);
                $(".modal-footer").html("La modifica di un nominativo non pu&ograve; essere annullata");

                $("#modal").modal("show");
                //codice per salvataggio nominativo
                $("#form_nominativo").validate({
                    onkeyup: function(element,event){
                        if ( this.elementValue( element ) !== "" && (event.keyCode === 9 || event.keyCode === 13 || element.name in this.submitted) ) {
                            this.element( element );
                        }
                    },
                    rules: {
                        via: {
                            required: true,
                        },
                        civico: {
                            required: true,
                            number:true
                        },
                        coordinata: {
                            required: true,
                        }
                    },
                    submitHandler: function(form) {
                        var request = $.ajax({
                            method: "post",
                            url: "{{dirDefault}}/nominativo/salva/",
                            data: $('#form_nominativo').serialize(),
                            dataType: "json"
                        });
                        request.done(function( resp ) {
                            console.log(resp);
                            $("#modal").modal('hide');
                            $(".modal-body").text( resp.msg );

                            if ( resp.esito == "OK" ) {
                                location.reload();
                            }
                            $("#info_modal").modal("show");
                        });
                        request.fail(function( jqXHR, textStatus ) {
                            // console.log("Errore "+ jqXHR +" | "+ textStatus);
                        });

                    },
                    invalidHandler: function() {
                        return false;
                    }
                });
            });
            request.fail(function( jqXHR, textStatus ) {
                console.log("Errore "+ jqXHR +" | "+ textStatus);
            });
        }

    </script>
{% endblock %}